This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 328941 - nm-applet crashes trying to connect to my WPA network
nm-applet crashes trying to connect to my WPA network
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
8
All Linux
high Severity high
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-12 00:31 EDT by Dave Airlie
Modified: 2008-08-23 23:06 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-23 23:06:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
bug buddy crash trace (15.66 KB, text/plain)
2007-10-12 00:31 EDT, Dave Airlie
no flags Details

  None (edit)
Description Dave Airlie 2007-10-12 00:31:30 EDT
Try to connect network manager NetworkManager-0.7.0-0.3.svn2970.fc8 to my WPA
PSK network, and it segfaults and crashes out...
Comment 1 Dave Airlie 2007-10-12 00:31:30 EDT
Created attachment 224961 [details]
bug buddy crash trace
Comment 2 Dan Williams 2007-10-12 07:43:17 EDT
how reproducible is it?

any chance you could install dbus-glib-debuginfo, dbus-debuginfo, and
NetworkManager-debuginfo, gdb attach to the applet, and then around frame #25
here (impl_connection_settings_get_secrets) print out the value of 'key_name'? 
That would be good for me to know.  The code in question is:

if (key_name != NULL) {
	g_hash_table_insert (secrets,
	                     g_strdup (key_name),
	                     string_to_gvalue (found->secret));
	dbus_g_method_return (context, secrets);
...

also would be good to know if found->secret looks like what you expect it to
look like (ie, the hex key of your network).  You can hash a passphrase to hex
key using /usr/sbin/wpa_passphrase <ssid> <passphrase> and compare to what the
applet has hashed it into.

Also, once in frame #25, can you try to:

nm_connection_dump(connection)

and see if gdb can run that function.  Please attach that output if you can
(obfuscate details of your network if you like).
Comment 3 Bug Zapper 2008-04-04 10:04:04 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 4 David Nalley 2008-08-23 23:06:07 EDT
Since there are insufficient details provided in this report for us to investigate the issue further, and we have not received feedback to the information we have requested above, we will assume the problem was not reproducible, or has been fixed in one of the updates we have released for the reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest update of their distribution, and if this issue turns out to still be reproducible in the latest update, please reopen this bug with additional information.

Closing as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.